unit uInventarioViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorInventario, uEditorEntradaSalidaArticulos,
  uEditorElegirArticulosCatalogo, uEditorElegirArticulosAlmacen,
  uEditorDetalleReservas;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorInventario, 'EditorInventario');
  EditorRegistry.RegisterClass(TfEditorEntradaSalidaArticulos, 'EditorEntradaSalidaArticulos');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosCatalogo, 'EditorElegirArticulosCatalogo');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosAlmacen, 'EditorElegirArticulosAlmacen');
  EditorRegistry.RegisterClass(TfEditorDetalleReservas, 'EditorDetalleReservas');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorInventario);
  EditorRegistry.UnRegisterClass(TfEditorEntradaSalidaArticulos);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosCatalogo);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosAlmacen);
  EditorRegistry.UnRegisterClass(TfEditorDetalleReservas);      
end;

end.
